package nc.ui.wa.ruleex.action;

import nc.ui.hr.uif2.action.AddLineAction;
import nc.vo.hrwa.waruleex.WageformdetExVO;
import nc.vo.pub.lang.UFDouble;

/**
 * WaRuleAddRowAction<BR>
 * <BR>
 * @author: xuhw 
 * @date: 2009-11-10
 * @since: eHR V6.0
 * @走查人: 
 * @走查日期: 
 * @修改人: 
 * @修改日期: 
 */
public class WaRuleAddLineAction extends AddLineAction
{	
	@Override
	protected Object getDefaultValue() {
		WageformdetExVO geformdetVO = new WageformdetExVO();
		int rowcount = getCardPanel().getBillCardPanel().getBillTable().getRowCount();
		geformdetVO.setIlevel(rowcount);
		geformdetVO.setNvalue(new UFDouble(0));
		return geformdetVO;
	}
}
